<?php

class rssSkinInfoListView extends rssSkinList
{
	const itemAreaX		= 820;
	const itemAreaY		= 108;
	const itemAreaWidth	= 480;
	const itemAreaHeight	= 620;

	const itemWidth		= 480;
	const itemHeight	= 65;

	const itemImageX	= 5;
	const itemImageY	= 6;
	const itemImageWidth	= 100;
	const itemImageHeight	= 53;

	const itemTextX		= 110;
	const itemTextY		= 5;
	const itemTextWidth	= 365;
	const itemTextHeight	= 55;

	const itemTextFontSize	= 13;
	const topBackground = 'myhit/line.png';
	const bottomBackground = 'myhit/line.png';
	const imageFocus	= 'myhit/cursor.png';

//	const itemTextBackgroundColor = '140:140:140';
	//
	// ------------------------------------
	public $proxy = 0;
	public $currentItem = 0;
	public $infos = array();
	
	//
	// ------------------------------------
	function showMoreDisplay()
	{
		foreach( $this->infos as $info )
		{
			$px = round( $info['posX'] / static::viewAreaWidth * 100, 4);
			$py = round( $info['posY'] / static::viewAreaHeight * 100, 4);
			$pw = round( $info['width']  / static::viewAreaWidth  * 100, 4);
			$ph = round( $info['height'] / static::viewAreaHeight * 100, 4);
			if( $info['type'] == 'image' )
			{
?>
	<image offsetXPC="<?= $px ?>" offsetYPC="<?= $py ?>" widthPC="<?= $pw+1 ?>" heightPC="<?= $ph+1 ?>" >
		<?= $info['image'] ?> 
	</image>
<?php
				if ($info['rip'] != '') {
					$pxR = round( 1030 / static::viewAreaWidth * 100, 4);
					$pyR = round( 35 / static::viewAreaHeight * 100, 4);
					$pwR = round( 250  / static::viewAreaWidth  * 100, 4);
					$phR = round( 68 / static::viewAreaHeight * 100, 4);
?>
	<image offsetXPC="<?= $pxR ?>" offsetYPC="<?= $pyR ?>" widthPC="<?= $pwR ?>" heightPC="<?= $phR ?>" >
		<?= $info['rip'] ?> 
	</image>
<?php
				}
			}
			else
			{
				$pa = isset( $info['align'] ) ? $info['align'] : static::itemTextAlign;
				$pl = isset( $info['lines'] ) ? $info['lines'] : static::itemTextLines;
				$ps = isset( $info['fontSize'] ) ? $info['fontSize'] : static::itemTextFontSize;
				$pb = isset( $info['bgColor'] ) ? $info['bgColor'] : static::itemBackgroundColor;
				$pf = isset( $info['fgColor'] ) ? $info['fgColor'] : static::unFocusFontColor;

?>
	<text align="<?= $pa ?>"<?php

				if( $pl > 0 ) echo " lines=\"$pl\"";

?> offsetXPC="<?= $px ?>" offsetYPC="<?= $py ?>" widthPC="<?= $pw ?>" heightPC="<?= $ph ?>"
	fontSize="<?= $ps ?>" backgroundColor="<?= $pb ?>" foregroundColor="<?= $pf ?>">
		<?= $info['text'] ?> 
    </text>
<?php
			}
			
		}
	}
	//
	// ------------------------------------
	function showOnUserInput()
	{
?>
    <onUserInput>
	ret = "false";
	userInput = currentUserInput();

	if (userInput == "<?= getRssCommand('enter') ?>" || userInput == "<?= getRssCommand('play') ?>")
	{
		idx = getFocusItemIndex();
		url = getItemInfo( idx, "link" );
		act = getItemInfo( idx, "action" );
		if ( 1==2 ) writeStringToFile("/tmp/urlUrl1.dat", url + "  " + act);
		if( act == "get") {
			showIdle();
			vidUrl = "<?= getMosUrl().'?page=myhitorg_get'?>" + "&amp;id=" + url;
			vidUrl = getUrl(vidUrl); vidUrl = getStringArrayAt(vidUrl, 0);
		}
		if( act == "get" &amp;&amp; userInput == "<?= getRssCommand('enter') ?>") {
			url = vidUrl;
			if ( 1==2 ) writeStringToFile("/tmp/urlUrl.dat", url);
			if(( url != null )&amp;&amp;( url != "" )) {
				proxy = <?= $this->proxy ?>;
				if (proxy ==1 ) {
					writeStringToFile("/tmp/doseek", 0);
					writeStringToFile("/tmp/proxylink.txt", url);
					url = "http://127.0.0.1:1000/" + "?" + getUrl("<?= getMosUrl() .'?page=myhitorg_rnd'?>");
				}
				playItemURL(url, 0);
			} else {
				url = "<?= getMosUrl().'?page=myhitorg_msg'?>";
				url = doModalRss(url);
			}
		} else if( act == "get" &amp;&amp; userInput == "<?= getRssCommand('play') ?>") {
			if (( vidUrl != null )&amp;&amp;( vidUrl != "" )) {
				url = "<?= getMosUrl().'?page=myhitorg_plistW'?>" + "&amp;id=" + url;
				if ( 1==2 ) writeStringToFile("/tmp/urlUrl.dat", url);
				url = doModalRss( url );
				cancelIdle();
				ret = "false";
			} else {
				url = "<?= getMosUrl().'?page=myhitorg_msg'?>";
				url = doModalRss(url);
			}
		} else if( act == "rss" ) {
			showIdle();
			url = doModalRss(url);
			cancelIdle();
		}
		ret = "true";
	}
		else if (userInput == "<?= getRssCommand('left') ?>" || userInput == "<?= getRssCommand('right') ?>") 
	{
	
		ret = "true";
	}
	ret;
    </onUserInput>
<?php
	}
	//
	// ------------------------------------
	public function showBottom( $vw = 0, $vh = 0 )
{
include('bInfo.php');
}
	//
	// ------------------------------------
	function showDisplay()
	{

		$sw = static::screenWidth;
		$sh = static::screenHeight;

		$kw = static::skinWidth;
		$kh = static::skinHeight;

		$sx = ($sw - $kw)/2;
		$sy = ($sh - $kh)/2;

		$vx = static::viewAreaX;
		$vy = static::viewAreaY;
		$vw = static::viewAreaWidth;
		$vh = static::viewAreaHeight;


		$ax = static::itemAreaX;
		$ay = static::itemAreaY;
		$aw = static::itemAreaWidth;
		$ah = static::itemAreaHeight;

		$iw = static::itemWidth;
		$ih = static::itemHeight;

		$nr = floor( $ah / $ih );

?>
  <mediaDisplay name="onePartView"
   viewAreaXPC="<?= round(( $sx + $vx )/$sw*100, 4) ?>"
   viewAreaYPC="<?= round(( $sy + $vy )/$sh*100, 4) ?>"
   viewAreaWidthPC="<?= round(( $vw )/$sw*100, 4) ?>"
   viewAreaHeightPC="<?= round(( $vh )/$sh*100, 4) ?>"
   backgroundColor="<?= static::backgroundColor ?>"
   sideLeftWidthPC="0"
   sideRightWidthPC="0"
   sideColorLeft="<?= static::sideColorLeft ?>"
   sideColorRight="<?= static::sideColorRight ?>"
   showHeader="no"
   showDefaultInfo="no"
   forceFocusOnItem="yes"
   itemPerPage="<?= $nr ?>"
   itemImageHeightPC="0"
   itemImageWidthPC="0"
   itemImageXPC="<?= round($ax/$sw*100, 4) ?>"
   itemImageYPC="<?= round($ay/$sh*100, 4) ?>"
   itemXPC="<?= round($ax/$sw*100, 4) ?>"
   itemYPC="<?= round($ay/$sh*100, 4) ?>"
   itemWidthPC="<?= round($iw/$vw*100, 4) ?>"
   itemHeightPC="<?= round($ih/$vh*100, 4) ?>"
   itemBackgroundColor="<?= static::itemBackgroundColor ?>"
   itemGap="0"
   focusBorderColor = "<?= static::focusBorderColor ?>"
   unFocusBorderColor = "<?= static::unFocusBorderColor ?>"
   idleImageXPC="<?= round( static::idleImageX/$vw*100, 4) ?>"
   idleImageYPC="<?= round( static::idleImageY/$vh*100, 4) ?>"
   idleImageWidthPC="<?= round( static::idleImageWidth/$vw*100, 4) ?>"
   idleImageHeightPC="<?= round( static::idleImageHeight/$vh*100, 4) ?>"
  >
<?php
		//$this->bottomTitle = ;
		$this->showIdleBg();
		$this->showTop();
		$this->showBottom();
		$this->showMoreDisplay();
		$this->showItemDisplay();
		$this->showOnUserInput();

?>
  </mediaDisplay>
<?php
	}
	function showScripts() {
?>
	<onEnter>
	cancelIdle();
	setFocusItemIndex( <?= $this->currentItem ?> );
	</onEnter>
<?php
	}
}

?>